org.python.core.util

## Class FileUtil

- java.lang.Object
- - org.python.core.util.FileUtil

    public class FileUtil
    extends Object

Utility methods for Java file handling.

### Constructor Summary

Constructors
Constructor and Description
`FileUtil()`

### Method Summary

Methods
`static byte[]` `readBytes(InputStream in)` Read all bytes from the input stream.
`static PyFile` `wrap(InputStream is)` Creates a PyFile in text mode that reads from the given `InputStream`.
`static PyFile` `wrap(InputStream is, int bufsize)` Creates a PyFile in text mode that reads from the given `InputStream` using bufsize.
`static PyFile` `wrap(InputStream is, String mode)` Creates a PyFile with mode that reads from the `InputStream`.
`static PyFile` `wrap(InputStream is, String mode, int bufsize)` Creates a PyFile with mode that reads from the given `InputStream` using bufsize.
`static PyFile` `wrap(OutputStream os)` Creates a PyFile in text mode that writes to the given `OutputStream`.
`static PyFile` `wrap(OutputStream os, int bufsize)` Creates a PyFile in text mode that writes to the given `OutputStream` with bufsize.
`static PyFile` `wrap(OutputStream os, String mode)` Creates a PyFile with mode that writes to the given `OutputStream`
`static PyFile` `wrap(OutputStream os, String mode, int bufsize)` Creates a PyFile with mode that writes to the given `OutputStream` with the given bufsize.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FileUtil

    public FileUtil()

### Method Detail

#### wrap

    public static PyFile wrap(InputStream is,
              String mode,
              int bufsize)

Creates a PyFile with mode that reads from the given `InputStream` using bufsize.

#### wrap

    public static PyFile wrap(InputStream is,
              String mode)

Creates a PyFile with mode that reads from the `InputStream`.

#### wrap

    public static PyFile wrap(InputStream is,
              int bufsize)

Creates a PyFile in text mode that reads from the given `InputStream` using bufsize.

#### wrap

    public static PyFile wrap(InputStream is)

Creates a PyFile in text mode that reads from the given `InputStream`.

#### wrap

    public static PyFile wrap(OutputStream os,
              String mode,
              int bufsize)

Creates a PyFile with mode that writes to the given `OutputStream` with the given bufsize.

#### wrap

    public static PyFile wrap(OutputStream os,
              String mode)

Creates a PyFile with mode that writes to the given `OutputStream`

#### wrap

    public static PyFile wrap(OutputStream os,
              int bufsize)

Creates a PyFile in text mode that writes to the given `OutputStream` with bufsize.

#### wrap

    public static PyFile wrap(OutputStream os)

Creates a PyFile in text mode that writes to the given `OutputStream`.

#### readBytes

    public static byte[] readBytes(InputStream in)
                            throws IOException

Read all bytes from the input stream.

Note that using this method to read very large streams could cause out-of-memory exceptions and/or block for large periods of time.

Throws:
  `IOException`